﻿@model IEnumerable<InsightHub.Web.Areas.Author.Models.ReportAuthorViewModel>

@{
    ViewData["Title"] = "My Reports";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>My Reports</h1>
@if (!Model.Any())
{
    <h2>No reports created currently!</h2>
}
else

    {
    <div>
        <table class="table text-dark table-hover">
            <thead>
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Name)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.CreatedOn)
                    </th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.Name)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.CreatedOn)
                        </td>
                        <td>
                            <a asp-area="" asp-controller="Reports" asp-action="Details" asp-route-id="@item.Id" class="btn btn-outline-primary">Details</a>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
    }
    
